# Building a FullStack SvelteKit Application with Form Actions

In this article, you will learn how to build a full-stack feedback application in SvelteKit using Form Actions and Prisma ORM. Using Form Actions will enable us to directly mutate data in the database from the frontend application, which means we do not have to go through an API layer.

![Building a FullStack SvelteKit Application with Form Actions](https://codevoweb.com/wp-content/uploads/2023/08/Building-a-FullStack-SvelteKit-Application-with-Form-Actions.webp)

## Topics Covered

- Running the FullStack Feedback App
- Setting up the SvelteKit Project
- Setting up the Database
    - Optional: Using Docker
- Initializing Prisma and Running Database Migrations
- Instantiating the Prisma Client
- Adding and Configuring Tailwind CSS
- Adding a Toast Notification
- Creating a Svelte Writable Store
- Loading Data using SvelteKit Load Function
- Creating the Form Actions
    - Adding a New Feedback
    - Editing an Existing Feedback
    - Deleting a Feedback
- Creating the Svelte Components
    - Rating Component
    - Statistic Component
    - Feedback Form Component
    - Feedback Item Component
- Using the Components in a Page File
- Testing the SvelteKit Application Locally
- Deploying the Application to Vercel
- Conclusion

Read the entire article here: [https://codevoweb.com/fullstack-sveltekit-application-with-form-actions/](https://codevoweb.com/fullstack-sveltekit-application-with-form-actions/)

